export default class WithOutQuote {
    constructor(props: any);
    state: {
        datasource: never[];
        registrationNumber: string;
        showError: boolean;
        showErrorType: boolean;
        isSelected: boolean;
        activityIndicatorVisibility: boolean;
    };
    componentDidMount(): void;
    callApiAgentData(): Promise<void>;
    renderItems(datasource: any): any;
    validate(): void;
    showErrorText(): any;
    showErrorTextVechicleType(): any;
    render(): any;
    displaySpinner(): any;
}
